View Issue Details

IDProjectCategoryView StatusLast Update
0015195LazarusLCLpublic2011-12-01 11:22
Reporteru-bootAssigned ToPaul Ishenin 
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28.2Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0015195: bspattern not defined in graphics
Descriptionrunning a program including a shape with brush style bspattern crashes the ide
TagsNo tags attached.
Fixed in Revision22994
LazTarget0.9.30
WidgetsetGTK 2
Attached Files

Activities

Vincent Snijders

2009-11-27 08:04

manager   ~0032514

Can you provide an example program?

2009-11-28 04:21

 

bspattern (994,276 bytes)

u-boot

2009-11-28 04:27

reporter   ~0032542

Today it the error has a different behaviour.

Now there is the error message:

Program received signal SIGFPE, Arithmetic exception.

The example program simply consists of a shape on a form.
shape1.brush.style is set to bspattern (chooseable in object inspector).

Paul Ishenin

2009-12-06 08:00

manager   ~0032740

Please test and close if ok.

Issue History

Date Modified Username Field Change
2009-11-27 00:47 u-boot New Issue
2009-11-27 00:47 u-boot Widgetset => GTK 2
2009-11-27 08:04 Vincent Snijders LazTarget => -
2009-11-27 08:04 Vincent Snijders Note Added: 0032514
2009-11-27 08:04 Vincent Snijders Status new => feedback
2009-11-28 04:21 u-boot File Added: bspattern
2009-11-28 04:27 u-boot Note Added: 0032542
2009-12-06 08:00 Paul Ishenin Fixed in Revision => 22994
2009-12-06 08:00 Paul Ishenin LazTarget - => 0.9.30
2009-12-06 08:00 Paul Ishenin Status feedback => resolved
2009-12-06 08:00 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-12-06 08:00 Paul Ishenin Resolution open => fixed
2009-12-06 08:00 Paul Ishenin Assigned To => Paul Ishenin
2009-12-06 08:00 Paul Ishenin Note Added: 0032740
2009-12-06 08:00 Paul Ishenin Target Version => 0.9.30
2011-12-01 11:22 Marc Weustink Status resolved => closed